Skip to main content

Deposit(TRADE)

API Description​

Submit deposit request, in this version, we only support BRL deposit via pix.

For BRL deposit via pix, you need to place an order before making a transfer from your bank.

Before calling this api, please make sure you have already completed your KYC or KYB, and already activated your fiat service on our website.

HTTP Request​

POST /sapi/v1/fiat/deposit

Request Weight(UID)​

45000

Request Parameters​

NameTypeMandatoryDescription
recvWindowLongNO
timestampLongYES

Request Body​

NameTypeMandatoryDescription
currencySTRINGYESfiat currency, such as BRL
apiPaymentMethodSTRINGYESpayment method
current supported:
pix
amountNUMBERYESdeposit amount
extOBJECTNOdeposit request ext info
  • timestamp, signature and recvWindow are sent as query-string parameters, while the business fields (currency, apiPaymentMethod, amount, ext) are sent in the JSON request body with Content-Type: application/json.

Request Command​

{
curl --location '{{domain}}/sapi/v1/fiat/deposit?timestamp={{timestamp}}&signature={{signature}}' \
--header 'X-MBX-APIKEY: {{apikey}}' \
--header 'Content-Type: application/json' \
--data '{
"currency":"BRL",
"apiPaymentMethod":"Pix",
"amount":30
}'
}

Response Example​

{
"code": "000000",
"message": "success",
"data": {
"orderId":"04595xxxxxxxxx37" //deposit order id
}
}

Error Codes​

indexcodemessage
1-16007Not enough limit
2-16009Not passed KYC/KYB
3-16010Not supported currency or payment method
4-16011Order not exist
5-16012No channel supported